All Ubuntu Overview, Ubuntu Main Overview

You are looking at information on the Bazaar importer system that serves Ubuntu Distributed Development. It's hoped that you won't have to care about the existence of this, but things don't always work out that way.

It is expected that uploads appear in the branches in less than 30 minutes, if it takes longer then something is up and this page should tell you why. To discuss issues or to ask for a package to be looked at please use our mailing list ubuntu-distributed-devel@lists.ubuntu.com.

The scripts used to import the packages are available from a bzr branch. If you encounter issues, please file bugs. If you're curious, a detailed explanation about how it works is documented in the UnderTheHood part of the wiki.

This page was last updated at 2014-11-25T21:40:01.733490 UTC.

Failed at 2012-07-04 15:27:58.378636

https://bugs.launchpad.net/udd/+bug/714622 The importer's local state database regarding tags that it has previously imported disagrees with the actual tags in the branch. Something has been changed, and further imports have been ceased pending manual review.

Traceback (most recent call last):
  File "/srv/package-import.canonical.com/new/scripts/bin/import-package", line 5, in <module>
    sys.exit(main(sys.argv))
  File "/srv/package-import.canonical.com/new/scripts/udd/scripts/import_package.py", line 1174, in main
    only_before=options.only_before)
  File "/srv/package-import.canonical.com/new/scripts/udd/scripts/import_package.py", line 1057, in _import_package
    revid_db, bstore, possible_transports=possible_transports)
  File "/srv/package-import.canonical.com/new/scripts/udd/scripts/import_package.py", line 693, in find_unimported_versions
    has_version = revid_db.check(importp.version, revid, suite, db.branch)
  File "/srv/package-import.canonical.com/new/scripts/udd/icommon.py", line 1192, in check
    self.package, unicode(version), suite))
AssertionError: ('package-import@ubuntu.com-20120316000900-szk3ql6kedr967yg', '5582291f2e6c94ac3acdb7883c01cf642a19a47b') != (u'package-import@ubuntu.com-20120316000900-cqeza25qcgu3lmab', u'74fabf9669a94a1f6854076ab42532a9af33621f') for gtkwave 3.3.34-1 in precise, something has changed

Packages with this issue